=head1 NAME

Gtk2::ImageView::Zoom -  Functions for dealing with zoom factors

=cut

=for position DESCRIPTION

=head1 DESCRIPTION

GtkImageView uses a discrete amount of zoom factors for determining which zoom to set. Using these functions, it is possible to retrieve information and manipulate a zoom factor.

=cut



=for object Gtk2::ImageView::Zoom Functions for dealing with zoom factors
=cut




=head1 METHODS

=head2 double = Gtk2::ImageView::Zoom-E<gt>B<clamp_zoom> ($zoom)

=over

=item * $zoom (double) 

=back

Returns the zoom factor clamped to the minumum and maximum allowed values.

=head2 double = Gtk2::ImageView::Zoom-E<gt>B<get_max_zoom> 

Returns the maximum allowed zoom factor.

=head2 double = Gtk2::ImageView::Zoom-E<gt>B<get_min_zoom> 

Returns the minimum allowed zoom factor.

=head2 double = Gtk2::ImageView::Zoom-E<gt>B<get_zoom_in> ($zoom)

=over

=item * $zoom (double) 

=back

Returns the zoom factor that is one step larger than the supplied zoom factor.

=head2 double = Gtk2::ImageView::Zoom-E<gt>B<get_zoom_out> ($zoom)

=over

=item * $zoom (double) 

=back

Returns the zoom factor that is one step smaller than the supplied zoom factor.



=cut


=head1 SEE ALSO

L<Gtk2::ImageView>


=cut


=head1 COPYRIGHT

Copyright (C) 2007 by Jeffrey Ratcliffe.

This software is licensed under the GPL-3; see L<Gtk2::ImageView> for a full notice.


=cut

